/*
 Theme Name:   Pizzeria Procopio's GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Pizzeria Procopio's GeneratePress Child
 Author:       Ballaraw Hub
 Author URI:   https://ballarawhub.it
 Template:     generatepress
 Version:      0.1
*/

/* For browsers that support clamp  */
@supports (font-size: clamp(1rem, 1vi, 1rem)) {
  :root {
  		--font-size-base: clamp(1.2rem,1.7vw,1.5rem);
  		--font-size-xxx-small: 58%;
  		--font-size-xx-small: 65%;
  		--font-size-x-small: 70%;
  		--font-size-small: 80%;
  		--font-size-medium: 90%;
  		--font-size-large: 120%;
  		--font-size-x-large: 160%;
  		--font-size-xx-large: 220%;
  		--font-size-xxx-large: 300%;
  		--font-size-xxxx-large: 320%;
  }
}

/*Pop Ups*/

.popup {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90%;
    max-width: 400px;
    background: var(--base-2);
    padding: 1em;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
    border-radius: 5px;
    z-index: 1000;
}

.popup h2{
	font-size:var(--font-size-large);
	text-transform: uppercase;
}

.popup-content {
    text-align: center;
}

.close-btn {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 20px;
    cursor: pointer;
}

/* Overlay */
.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--contrast-2);
    z-index: 999;
    opacity: .8;
}